<?php
	require_once dirname(__FILE__) . '/functions.php';
	require_once dirname(__FILE__) . '/update/bin/bin.php';
	$langHdl = dynpg_install_InitLanguageProc(dynpg_backend_language());
?>
<!DOCTYPE html>

<html>
<head>
    <title><?php print $langHdl->str['lang_incomplete_title'] ?></title>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />

    <link rel="stylesheet" type="text/css" href="update/bin/update.css">
</head>
<body>

    <table border="0">
        <tr>
            <td><img src="update/bin/dynpg_logo.gif" alt="DynPG" /></td>
            <td valign="middle">

                <h1><?php echo empty($_GET['update'])? $langHdl->str['lang_incomplete_installation']: $langHdl->str['lang_incomplete_update']; ?></h1>

                <div id="dynpg_install_run_stepINFO">

                <?php print $langHdl->str['lang_incomplete_delete_files'] ?>

                <?php if ( empty($_GET['update']) ) { ?>

                <ul>
                    <li><?php print $langHdl->str['lang_incomplete_folder'] ?> <strong>/install/</strong></li>
                    <li><?php print $langHdl->str['lang_incomplete_file'] ?> <strong>configuration.php-dist</strong></li>
                </ul>

                <?php } ?>

                <?php if ( !empty($_GET['update']) ) { ?>

                <ul>
                    <?php
                    	$dir = opendir('update/');
					 	while ($file = readdir($dir)) {
					 		$_ = false;
							if ( substr($file, 0, 7) == 'update_' ||
								 substr($file, 0, 7) == 'plugin_' ||
								 ($_ = preg_match('/([^.]+).(htm|html|php){1}/si', $file)) ) {

					 			 echo '<li>' . ($_? $langHdl->str['lang_incomplete_file']: $langHdl->str['lang_incomplete_folder']) . ' <strong>' . $file . '</strong></li>';
							}
						}
					 	closedir($dir);
                    ?>
                </ul>

                <p><?php print $langHdl->str['lang_incomplete_delete_not_bin'] ?></p>

                <?php } ?>


                <?php print $langHdl->str['lang_incomplete_next'] ?>

                </div>

            </td>
        </tr>
    </table>

</body>
</html>